Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce
Class X509LDAPCertStoreParameters.Builder

    java.lang.Object
      org.bouncycastle.jce.X509LDAPCertStoreParameters.Builder

Enclosing class:
  X509LDAPCertStoreParameters

    public static class X509LDAPCertStoreParameters.Builder

extends java.lang.Object

Constructor Summary
`X509LDAPCertStoreParameters.Builder()`
`X509LDAPCertStoreParameters.Builder(java.lang.String ldapURL, java.lang.String baseDN)`

Method Summary
`X509LDAPCertStoreParameters` `build()`
`X509LDAPCertStoreParameters.Builder` `setAACertificateAttribute(java.lang.String aACertificateAttribute)`
`X509LDAPCertStoreParameters.Builder` `setAACertificateSubjectAttributeName(java.lang.String aACertificateSubjectAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setAttributeAuthorityRevocationListAttribute(java.lang.String attributeAuthorityRevocationListAttribute)`
`X509LDAPCertStoreParameters.Builder` `setAttributeAuthorityRevocationListIssuerAttributeName(java.lang.String attributeAuthorityRevocationListIssuerAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setAttributeCertificateAttributeAttribute(java.lang.String attributeCertificateAttributeAttribute)`
`X509LDAPCertStoreParameters.Builder` `setAttributeCertificateAttributeSubjectAttributeName(java.lang.String attributeCertificateAttributeSubjectAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setAttributeCertificateRevocationListAttribute(java.lang.String attributeCertificateRevocationListAttribute)`
`X509LDAPCertStoreParameters.Builder` `setAttributeCertificateRevocationListIssuerAttributeName(java.lang.String attributeCertificateRevocationListIssuerAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setAttributeDescriptorCertificateAttribute(java.lang.String attributeDescriptorCertificateAttribute)`
`X509LDAPCertStoreParameters.Builder` `setAttributeDescriptorCertificateSubjectAttributeName(java.lang.String attributeDescriptorCertificateSubjectAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setAuthorityRevocationListAttribute(java.lang.String authorityRevocationListAttribute)`
`X509LDAPCertStoreParameters.Builder` `setAuthorityRevocationListIssuerAttributeName(java.lang.String authorityRevocationListIssuerAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setCACertificateAttribute(java.lang.String cACertificateAttribute)`
`X509LDAPCertStoreParameters.Builder` `setCACertificateSubjectAttributeName(java.lang.String cACertificateSubjectAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setCertificateRevocationListAttribute(java.lang.String certificateRevocationListAttribute)`
`X509LDAPCertStoreParameters.Builder` `setCertificateRevocationListIssuerAttributeName(java.lang.String certificateRevocationListIssuerAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setCrossCertificateAttribute(java.lang.String crossCertificateAttribute)`
`X509LDAPCertStoreParameters.Builder` `setCrossCertificateSubjectAttributeName(java.lang.String crossCertificateSubjectAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setDeltaRevocationListAttribute(java.lang.String deltaRevocationListAttribute)`
`X509LDAPCertStoreParameters.Builder` `setDeltaRevocationListIssuerAttributeName(java.lang.String deltaRevocationListIssuerAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setLdapAACertificateAttributeName(java.lang.String ldapAACertificateAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setLdapAttributeAuthorityRevocationListAttributeName(java.lang.String ldapAttributeAuthorityRevocationListAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setLdapAttributeCertificateAttributeAttributeName(java.lang.String ldapAttributeCertificateAttributeAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setLdapAttributeCertificateRevocationListAttributeName(java.lang.String ldapAttributeCertificateRevocationListAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setLdapAttributeDescriptorCertificateAttributeName(java.lang.String ldapAttributeDescriptorCertificateAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setLdapAuthorityRevocationListAttributeName(java.lang.String ldapAuthorityRevocationListAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setLdapCACertificateAttributeName(java.lang.String ldapCACertificateAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setLdapCertificateRevocationListAttributeName(java.lang.String ldapCertificateRevocationListAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setLdapCrossCertificateAttributeName(java.lang.String ldapCrossCertificateAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setLdapDeltaRevocationListAttributeName(java.lang.String ldapDeltaRevocationListAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setLdapUserCertificateAttributeName(java.lang.String ldapUserCertificateAttributeName)`
`X509LDAPCertStoreParameters.Builder` `setSearchForSerialNumberIn(java.lang.String searchForSerialNumberIn)`
`X509LDAPCertStoreParameters.Builder` `setUserCertificateAttribute(java.lang.String userCertificateAttribute)`
`X509LDAPCertStoreParameters.Builder` `setUserCertificateSubjectAttributeName(java.lang.String userCertificateSubjectAttributeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509LDAPCertStoreParameters.Builder

    public X509LDAPCertStoreParameters.Builder()

### X509LDAPCertStoreParameters.Builder

    public X509LDAPCertStoreParameters.Builder(java.lang.String ldapURL,
                                               java.lang.String baseDN)

Method Detail

### setUserCertificateAttribute

    public X509LDAPCertStoreParameters.Builder setUserCertificateAttribute(java.lang.String userCertificateAttribute)

  Parameters:
    `userCertificateAttribute` - Attribute name(s) in the LDAP directory where end certificates are stored. Separated by space. Defaults to "userCertificate" if `null`.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setCACertificateAttribute

    public X509LDAPCertStoreParameters.Builder setCACertificateAttribute(java.lang.String cACertificateAttribute)

  Parameters:
    `cACertificateAttribute` - Attribute name(s) in the LDAP directory where CA certificates are stored. Separated by space. Defaults to "cACertificate" if `null`.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setCrossCertificateAttribute

    public X509LDAPCertStoreParameters.Builder setCrossCertificateAttribute(java.lang.String crossCertificateAttribute)

  Parameters:
    `crossCertificateAttribute` - Attribute name(s), where the cross certificates are stored. Separated by space. Defaults to "crossCertificatePair" if `null`
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setCertificateRevocationListAttribute

    public X509LDAPCertStoreParameters.Builder setCertificateRevocationListAttribute(java.lang.String certificateRevocationListAttribute)

  Parameters:
    `certificateRevocationListAttribute` - Attribute name(s) in the LDAP directory where CRLs are stored. Separated by space. Defaults to "certificateRevocationList" if `null`.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setDeltaRevocationListAttribute

    public X509LDAPCertStoreParameters.Builder setDeltaRevocationListAttribute(java.lang.String deltaRevocationListAttribute)

  Parameters:
    `deltaRevocationListAttribute` - Attribute name(s) in the LDAP directory where delta RLs are stored. Separated by space. Defaults to "deltaRevocationList" if `null`.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setAuthorityRevocationListAttribute

    public X509LDAPCertStoreParameters.Builder setAuthorityRevocationListAttribute(java.lang.String authorityRevocationListAttribute)

  Parameters:
    `authorityRevocationListAttribute` - Attribute name(s) in the LDAP directory where CRLs for authorities are stored. Separated by space. Defaults to "authorityRevocationList" if `null`.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setAttributeCertificateAttributeAttribute

    public X509LDAPCertStoreParameters.Builder setAttributeCertificateAttributeAttribute(java.lang.String attributeCertificateAttributeAttribute)

  Parameters:
    `attributeCertificateAttributeAttribute` - Attribute name(s) in the LDAP directory where end attribute certificates are stored. Separated by space. Defaults to "attributeCertificateAttribute" if `null`.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setAACertificateAttribute

    public X509LDAPCertStoreParameters.Builder setAACertificateAttribute(java.lang.String aACertificateAttribute)

  Parameters:
    `aACertificateAttribute` - Attribute name(s) in the LDAP directory where attribute certificates for attribute authorities are stored. Separated by space. Defaults to "aACertificate" if `null`.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setAttributeDescriptorCertificateAttribute

    public X509LDAPCertStoreParameters.Builder setAttributeDescriptorCertificateAttribute(java.lang.String attributeDescriptorCertificateAttribute)

  Parameters:
    `attributeDescriptorCertificateAttribute` - Attribute name(s) in the LDAP directory where self signed attribute certificates for attribute authorities are stored. Separated by space. Defaults to "attributeDescriptorCertificate" if `null`.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setAttributeCertificateRevocationListAttribute

    public X509LDAPCertStoreParameters.Builder setAttributeCertificateRevocationListAttribute(java.lang.String attributeCertificateRevocationListAttribute)

  Parameters:
    `attributeCertificateRevocationListAttribute` - Attribute name(s) in the LDAP directory where CRLs for attribute certificates are stored. Separated by space. Defaults to "attributeCertificateRevocationList" if `null`.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setAttributeAuthorityRevocationListAttribute

    public X509LDAPCertStoreParameters.Builder setAttributeAuthorityRevocationListAttribute(java.lang.String attributeAuthorityRevocationListAttribute)

  Parameters:
    `attributeAuthorityRevocationListAttribute` - Attribute name(s) in the LDAP directory where RLs for attribute authority attribute certificates are stored. Separated by space. Defaults to "attributeAuthorityRevocationList" if `null`.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setLdapUserCertificateAttributeName

    public X509LDAPCertStoreParameters.Builder setLdapUserCertificateAttributeName(java.lang.String ldapUserCertificateAttributeName)

  Parameters:
    `ldapUserCertificateAttributeName` - The attribute name(s) in the LDAP directory where to search for the attribute value of the specified `userCertificateSubjectAttributeName`. E.g. if "cn" is used to put information about the subject for end certificates, then specify "cn".
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setLdapCACertificateAttributeName

    public X509LDAPCertStoreParameters.Builder setLdapCACertificateAttributeName(java.lang.String ldapCACertificateAttributeName)

  Parameters:
    `ldapCACertificateAttributeName` - The attribute name(s) in the LDAP directory where to search for the attribute value of the specified `cACertificateSubjectAttributeName`. E.g. if "ou" is used to put information about the subject for CA certificates, then specify "ou".
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setLdapCrossCertificateAttributeName

    public X509LDAPCertStoreParameters.Builder setLdapCrossCertificateAttributeName(java.lang.String ldapCrossCertificateAttributeName)

  Parameters:
    `ldapCrossCertificateAttributeName` - The attribute name(s) in the LDAP directory where to search for the attribute value of the specified `crossCertificateSubjectAttributeName`. E.g. if "o" is used to put information about the subject for cross certificates, then specify "o".
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setLdapCertificateRevocationListAttributeName

    public X509LDAPCertStoreParameters.Builder setLdapCertificateRevocationListAttributeName(java.lang.String ldapCertificateRevocationListAttributeName)

  Parameters:
    `ldapCertificateRevocationListAttributeName` - The attribute name(s) in the LDAP directory where to search for the attribute value of the specified `certificateRevocationListIssuerAttributeName`. E.g. if "ou" is used to put information about the issuer of CRLs, specify "ou".
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setLdapDeltaRevocationListAttributeName

    public X509LDAPCertStoreParameters.Builder setLdapDeltaRevocationListAttributeName(java.lang.String ldapDeltaRevocationListAttributeName)

  Parameters:
    `ldapDeltaRevocationListAttributeName` - The attribute name(s) in the LDAP directory where to search for the attribute value of the specified `deltaRevocationListIssuerAttributeName`. E.g. if "ou" is used to put information about the issuer of CRLs, specify "ou".
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setLdapAuthorityRevocationListAttributeName

    public X509LDAPCertStoreParameters.Builder setLdapAuthorityRevocationListAttributeName(java.lang.String ldapAuthorityRevocationListAttributeName)

  Parameters:
    `ldapAuthorityRevocationListAttributeName` - The attribute name(s) in the LDAP directory where to search for the attribute value of the specified `authorityRevocationListIssuerAttributeName`. E.g. if "ou" is used to put information about the issuer of CRLs, specify "ou".
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setLdapAttributeCertificateAttributeAttributeName

    public X509LDAPCertStoreParameters.Builder setLdapAttributeCertificateAttributeAttributeName(java.lang.String ldapAttributeCertificateAttributeAttributeName)

  Parameters:
    `ldapAttributeCertificateAttributeAttributeName` - The attribute name(s) in the LDAP directory where to search for the attribute value of the specified `attributeCertificateAttributeSubjectAttributeName`. E.g. if "cn" is used to put information about the subject of end attribute certificates, specify "cn".
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setLdapAACertificateAttributeName

    public X509LDAPCertStoreParameters.Builder setLdapAACertificateAttributeName(java.lang.String ldapAACertificateAttributeName)

  Parameters:
    `ldapAACertificateAttributeName` - The attribute name(s) in the LDAP directory where to search for the attribute value of the specified `aACertificateSubjectAttributeName`. E.g. if "ou" is used to put information about the subject of attribute authority attribute certificates, specify "ou".
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setLdapAttributeDescriptorCertificateAttributeName

    public X509LDAPCertStoreParameters.Builder setLdapAttributeDescriptorCertificateAttributeName(java.lang.String ldapAttributeDescriptorCertificateAttributeName)

  Parameters:
    `ldapAttributeDescriptorCertificateAttributeName` - The attribute name(s) in the LDAP directory where to search for the attribute value of the specified `attributeDescriptorCertificateSubjectAttributeName`. E.g. if "o" is used to put information about the subject of self signed attribute authority attribute certificates, specify "o".
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setLdapAttributeCertificateRevocationListAttributeName

    public X509LDAPCertStoreParameters.Builder setLdapAttributeCertificateRevocationListAttributeName(java.lang.String ldapAttributeCertificateRevocationListAttributeName)

  Parameters:
    `ldapAttributeCertificateRevocationListAttributeName` - The attribute name(s) in the LDAP directory where to search for the attribute value of the specified `attributeCertificateRevocationListIssuerAttributeName`. E.g. if "ou" is used to put information about the issuer of CRLs, specify "ou".
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setLdapAttributeAuthorityRevocationListAttributeName

    public X509LDAPCertStoreParameters.Builder setLdapAttributeAuthorityRevocationListAttributeName(java.lang.String ldapAttributeAuthorityRevocationListAttributeName)

  Parameters:
    `ldapAttributeAuthorityRevocationListAttributeName` - The attribute name(s) in the LDAP directory where to search for the attribute value of the specified `attributeAuthorityRevocationListIssuerAttributeName`. E.g. if "ou" is used to put information about the issuer of CRLs, specify "ou".
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setUserCertificateSubjectAttributeName

    public X509LDAPCertStoreParameters.Builder setUserCertificateSubjectAttributeName(java.lang.String userCertificateSubjectAttributeName)

  Parameters:
    `userCertificateSubjectAttributeName` - Attribute(s) in the subject of the certificate which is used to be searched in the `ldapUserCertificateAttributeName`. E.g. the "cn" attribute of the DN could be used.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setCACertificateSubjectAttributeName

    public X509LDAPCertStoreParameters.Builder setCACertificateSubjectAttributeName(java.lang.String cACertificateSubjectAttributeName)

  Parameters:
    `cACertificateSubjectAttributeName` - Attribute(s) in the subject of the certificate which is used to be searched in the `ldapCACertificateAttributeName`. E.g. the "ou" attribute of the DN could be used.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setCrossCertificateSubjectAttributeName

    public X509LDAPCertStoreParameters.Builder setCrossCertificateSubjectAttributeName(java.lang.String crossCertificateSubjectAttributeName)

  Parameters:
    `crossCertificateSubjectAttributeName` - Attribute(s) in the subject of the cross certificate which is used to be searched in the `ldapCrossCertificateAttributeName`. E.g. the "o" attribute of the DN may be appropriate.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setCertificateRevocationListIssuerAttributeName

    public X509LDAPCertStoreParameters.Builder setCertificateRevocationListIssuerAttributeName(java.lang.String certificateRevocationListIssuerAttributeName)

  Parameters:
    `certificateRevocationListIssuerAttributeName` - Attribute(s) in the issuer of the CRL which is used to be searched in the `ldapCertificateRevocationListAttributeName`. E.g. the "o" or "ou" attribute may be used.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setDeltaRevocationListIssuerAttributeName

    public X509LDAPCertStoreParameters.Builder setDeltaRevocationListIssuerAttributeName(java.lang.String deltaRevocationListIssuerAttributeName)

  Parameters:
    `deltaRevocationListIssuerAttributeName` - Attribute(s) in the issuer of the CRL which is used to be searched in the `ldapDeltaRevocationListAttributeName`. E.g. the "o" or "ou" attribute may be used.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setAuthorityRevocationListIssuerAttributeName

    public X509LDAPCertStoreParameters.Builder setAuthorityRevocationListIssuerAttributeName(java.lang.String authorityRevocationListIssuerAttributeName)

  Parameters:
    `authorityRevocationListIssuerAttributeName` - Attribute(s) in the issuer of the CRL which is used to be searched in the `ldapAuthorityRevocationListAttributeName`. E.g. the "o" or "ou" attribute may be used.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setAttributeCertificateAttributeSubjectAttributeName

    public X509LDAPCertStoreParameters.Builder setAttributeCertificateAttributeSubjectAttributeName(java.lang.String attributeCertificateAttributeSubjectAttributeName)

  Parameters:
    `attributeCertificateAttributeSubjectAttributeName` - Attribute(s) in the subject of the attribute certificate which is used to be searched in the `ldapAttributeCertificateAttributeAttributeName`. E.g. the "cn" attribute of the DN could be used.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setAACertificateSubjectAttributeName

    public X509LDAPCertStoreParameters.Builder setAACertificateSubjectAttributeName(java.lang.String aACertificateSubjectAttributeName)

  Parameters:
    `aACertificateSubjectAttributeName` - Attribute(s) in the subject of the attribute certificate which is used to be searched in the `ldapAACertificateAttributeName`. E.g. the "ou" attribute of the DN could be used.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setAttributeDescriptorCertificateSubjectAttributeName

    public X509LDAPCertStoreParameters.Builder setAttributeDescriptorCertificateSubjectAttributeName(java.lang.String attributeDescriptorCertificateSubjectAttributeName)

  Parameters:
    `attributeDescriptorCertificateSubjectAttributeName` - Attribute(s) in the subject of the attribute certificate which is used to be searched in the `ldapAttributeDescriptorCertificateAttributeName`. E.g. the "o" attribute of the DN could be used.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setAttributeCertificateRevocationListIssuerAttributeName

    public X509LDAPCertStoreParameters.Builder setAttributeCertificateRevocationListIssuerAttributeName(java.lang.String attributeCertificateRevocationListIssuerAttributeName)

  Parameters:
    `attributeCertificateRevocationListIssuerAttributeName` - Attribute(s) in the issuer of the CRL which is used to be searched in the `ldapAttributeCertificateRevocationListAttributeName`. E.g. the "o" or "ou" attribute may be used certificate is searched in this LDAP attribute.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setAttributeAuthorityRevocationListIssuerAttributeName

    public X509LDAPCertStoreParameters.Builder setAttributeAuthorityRevocationListIssuerAttributeName(java.lang.String attributeAuthorityRevocationListIssuerAttributeName)

  Parameters:
    `attributeAuthorityRevocationListIssuerAttributeName` - Anttribute(s) in the issuer of the CRL which is used to be searched in the `ldapAttributeAuthorityRevocationListAttributeName`. E.g. the "o" or "ou" attribute may be used.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### setSearchForSerialNumberIn

    public X509LDAPCertStoreParameters.Builder setSearchForSerialNumberIn(java.lang.String searchForSerialNumberIn)

  Parameters:
    `searchForSerialNumberIn` - If not `null` the serial number of the certificate is searched in this LDAP attribute.
  Returns:
    the builder
  Throws:
    `java.lang.IllegalArgumentException` - if a necessary parameter is `null`.

### build

    public X509LDAPCertStoreParameters build()

Bouncy Castle Cryptography Library 1.45